package kr.co.jinwoosi.clfd.conts.bod.service;

import kr.co.jinwoosi.clfd.conts.bod.model.BodArti;
import kr.co.jinwoosi.clfd.conts.bod.model.BodArtiSearch;
import kr.co.jinwoosi.clfd.framework.base.service.BaseService;

public interface BodArtiService extends BaseService<BodArti, BodArtiSearch> {
	
	void updateHit(Long artiId);

	void insert(BodArti bodArti, Long[] itemIdList);
	
	void update(BodArti bodArti, Long[] itemIdList);
	
	void insert(BodArti bodArti, Long itemId);
	
	void update(BodArti bodArti, Long itemId);
	
	boolean isAuthScrt(Long artiId, Long userId);
	
	boolean isAuthUpdate(Long artiId, Long userId);
	
	boolean isAuthUpdate(BodArti bodArti, Long userId);
	
}
